# BEGIN SourceDeps(oneline):
BuildRequires: perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Exporter.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(Fcntl.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(File/Temp.pm) perl(FileHandle.pm) perl(HTTP/Request/Common.pm) perl(JSON.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(Parse/CPAN/Meta.pm) perl(Plack/Builder.pm) perl(Plack/Middleware.pm) perl(Plack/Middleware/AccessLog.pm) perl(Plack/Test.pm) perl(Socket.pm) perl(Test/More.pm) perl(Time/HiRes.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm) perl(parent.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Plack-Middleware-EasyHooks
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: Writing PSGI Middleware using simple hooks
Group: Development/Perl
License: perl
URL: https://github.com/One-com/plack-middleware-easyhooks/tree

Source0: http://cpan.org.ua/authors/id/P/PM/PMAKHOLM/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Plack::Middleware::EasyHooks takes care of the complexities handling streaming
in PSGI middleware. Just provide hooks to be called before, during and after
the wrapped PSGI application.

The hooks are called in the following order (much simplified):

    before();
    $app->();
    after();
    
    filter($_) for @body;
    tail($env);
    
    finalize();



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes examples
%perl_vendor_privlib/P*

%changelog
* Mon Sep 23 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

